from rsa import *

# klein:	p=7			q=13
# mittel:	p=9091		q=701		e=1111111
# gross:	p=999907	q=999983	e=1111111


p = 999907
q = 999983
n = p*q
phi = (p-1)*(q-1)

print "p = %i, q=%i, n=%i (phi=%i)"%(p, q, n, phi)

# Finden des e (wie vorher)
# i = phi/2
# while (i < phi):
#     if (ggT(i, phi) == 1):
#         print i
#     i += 1

e = 499944011341

# schnelles Finden von d zu e
d = modinv(e, phi)

print "e = %i, d = %i"%(e, d)

def verschluesseln(m, e, n):
    return modpot(m, e, n)

def entschluesseln(c, d, n):
    return modpot(c, d, n)


# Verschluesselung der Nachricht
m = 13423
print "Nachricht m = %i"%m
c = verschluesseln(m, e, n)
print "Chiffre c = %i"%c

# Entschluesseln der Nachricht
mNeu = entschluesseln(c, d, n)
print "Enschluesselte Nachricht: %i"%mNeu


